event_buffer_read
event_buffer_timeout_set
Libevent Functions
PHP Manual

# event_buffer_set_callback

Set or reset callbacks for a buffered event

### Description

bool event_buffer_set_callback ( resource `$event` , mixed `$readcb` , mixed `$writecb` , mixed `$errorcb` [, mixed `$arg` ] )

Sets or changes existing callbacks for the buffered `event`.

### Parameters

`event`

  Valid buffered event resource.

`readcb`

  Callback to invoke where there is data to read, or NULL if no callback is desired.

`writecb`

  Callback to invoke where the descriptor is ready for writing, or NULL if no callback is desired.

`errorcb`

  Callback to invoke where there is an error on the descriptor, cannot be NULL.

`arg`

  An argument that will be passed to each of the callbacks (optional).

### Return Values

Returns `TRUE` on success or `FALSE` on failure.